#!/bin/bash
source /etc/conf.d/vdr
TARGET=$( mount | grep " /media/" | cut -f 3 -d " ")
if [ "$TARGET" != "" ] && [ -d $TARGET ] && [ "$1" != "" ] && [ -d "$1" ]; then
   mkdir -p "$TARGET/$1"
   logger -s "Kopiere $1 nach $TARGET ..."
   echo "cp -rvf \"$1\" \"$TARGET/$1/..\"" > /tmp/~cp2usb.sh
   echo "svdrpsend.pl MESG \"Film wurde auf USB kopiert\"" >> /tmp/~cp2usb.sh
   echo "sh /tmp/~cp2usb.sh" | at now
else
   logger -s "$0: Illegal parameter <$1> or no usb drive found"   
fi
